Bug 1492778 - No log when the build failed at importing stage
Summary: No log when the build failed at importing stage
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-18 15:32 UTC by Fabrice Salvaire
Modified: 2017-11-23 10:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-23 10:26:44 UTC


Attachments (Terms of Use)

Description Fabrice Salvaire 2017-09-18 15:32:49 UTC
Description of problem:

When the build failed at importing, the log link is broken:

  failed - Build failed. See logs for more details.

  BUT

  http://copr-dist-git.fedorainfracloud.org/per-task-logs/604331.log
  Not Found
  The requested URL /per-task-logs/604331.log was not found on this server.

Thus we don't know why it fails.


Moreover, the documentation is quite confusing on how to use a git hosting service (Github, pagure) as input:

* It misses a clear tutorial
* How to store large tar file ? Best practices
* Can build process download the source from internet ? (my upload link is too low to upload SRPM just to try if it works)
* Any explanation when the build fails.

I succeed to build https://copr.fedorainfracloud.org/coprs/fabricesalvaire/ngspice/ but not https://copr.fedorainfracloud.org/coprs/fabricesalvaire/xyce

Why ???

Comment 1 clime 2017-09-19 07:29:05 UTC
Hello, the logs are available here: https://copr-be.cloud.fedoraproject.org/results/fabricesalvaire/xyce/srpm-builds/

We already have copr-frontend released with this info available in UI (https://bodhi.fedoraproject.org/updates/FEDORA-2017-def19d0fd5) but we need to wait until it gets into Fedora for a few more days.

> Moreover, the documentation is quite confusing on how to use a git hosting service (Github, pagure) as input:

* It misses a clear tutorial
* How to store large tar file ? Best practices
* Can build process download the source from internet ? (my upload link is too low to upload SRPM just to try if it works)
* Any explanation when the build fails.

Yes, you are right in all the points. We are in the middle of transition period to a "final" solution (not exactly final but final enough to be user-comfortable and useful).

And as I see we should do this quickly.

To answer at least something...build process can download sources from internet.

Comment 2 clime 2017-11-23 10:26:44 UTC
Logs for srpm build stage are now available through UI. Also documentation is now much improved https://docs.pagure.org/copr.copr/user_documentation.html#scm (will be probably further tweaked). You can also read a blog post here: https://clime.github.io/2017/10/24/COPR-SCM.html for further information.

As for storing large tar files, git-lfs or git-annex seems to be a way (apart from storing it somewhere else and using URLs in Source .spec definitions) but I don't think COPR currently allows it :(.


Note You need to log in before you can comment on or make changes to this bug.